/** @file
 * @brief DHS Service class header. This class represents the DHS service.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef DHS_H
#define DHS_H

#include <string>

#include "service.h"
#include "logger.h"

#include <boost/serialization/array.hpp>
#include <boost/shared_ptr.hpp>


class DHS : public Service
{

private:

    friend class boost::serialization::access;
    template<class Archive>
    void serialize(Archive &, const unsigned int);

public:

    typedef boost::shared_ptr<DHS> Ptr;

    DHS();

    DHS(const std::string&, const std::string&, const std::string&, const std::string&, const Logger::Ptr&, const int, const int);

    ~DHS();

    void update(const std::string&);

    int perform_update(const std::string&);
};

#endif
