/** @file
 * @brief ODS Service class header. This class represents the ODS service.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef ODS_H
#define ODS_H

#include <string>

#include "service.h"
#include "logger.h"

#include <boost/serialization/array.hpp>
#include <boost/shared_ptr.hpp>


class ODS : public Service
{

private:

    friend class boost::serialization::access;
    template<class Archive>
    void serialize(Archive &, const unsigned int);

public:

    typedef boost::shared_ptr<ODS> Ptr;

    ODS();

    ODS(const std::string&, const std::string&, const std::string&, const std::string&, const Logger::Ptr&, const int, const int);

    ~ODS();

    void update(const std::string&);

    int perform_update(const std::string&);
};

#endif
