/** @file
 * @brief Serviceholder class header. This class holds Service objects in a list for serialization.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef SERVICEHOLDER_H
#define SERVICEHOLDER_H

#include <list>

#include "service.h"
#include "logger.h"

#include <boost/serialization/array.hpp>
#include <boost/shared_ptr.hpp>

class Serviceholder
{

private:

    std::list<Service::Ptr> HoldServices;

    friend class boost::serialization::access;
    template<class Archive>
    void serialize(Archive &, const unsigned int);

public:

    typedef boost::shared_ptr<Serviceholder> Ptr;

    Serviceholder();

    Serviceholder(Logger::Ptr);

    ~Serviceholder();

    void add_service(Service::Ptr);

    std::list<Service::Ptr> get_hold_services() const;
};

#endif
